An update for chromium-browser is now available for Red Hat Enterprise Linux 6Supplementary.Red Hat Product Security has rated this update as having a security impact ofImportant.

A Common Vulnerability Scoring System (CVSS) base score, which givesa detailed severity rating, is available for each vulnerability from the CVElink(s) in the References section.
Chromium is an open-source web browser, powered by WebKit (Blink).This update upgrades Chromium to version 51.0.2704.63.Security Fix(es):* Multiple flaws were found in the processing of malformed web content.

A webpage containing malicious content could cause Chromium to crash, executearbitrary code, or disclose sensitive information when visited by the victim.(CVE-2016-1672, CVE-2016-1673, CVE-2016-1674, CVE-2016-1675, CVE-2016-1676,CVE-2016-1678, CVE-2016-1679, CVE-2016-1680, CVE-2016-1681, CVE-2016-1695,CVE-2016-1677, CVE-2016-1682, CVE-2016-1683, CVE-2016-1684, CVE-2016-1685,CVE-2016-1686, CVE-2016-1687, CVE-2016-1688, CVE-2016-1689, CVE-2016-1690,CVE-2016-1691, CVE-2016-1692, CVE-2016-1693, CVE-2016-1694)
For details on how to apply this update, which includes the changes described inthis advisory, refer to:https://access.redhat.com/articles/11258After installing the update, Chromium must be restarted for the changes to takeeffect.Red Hat Enterprise Linux Desktop Supplementary (v. 6)

IA-32:
chromium-browser-51.0.2704.63-1.el6.i686.rpm
    MD5: 6c0fb527654b39357da188d5b9a2ca86SHA-256: ed4c4191b10d40bd40f1a59ca2829e366b22b843fe3ac5ccdae35492796715e2
chromium-browser-debuginfo-51.0.2704.63-1.el6.i686.rpm
    MD5: 6d49699c4e4e719086dff9e4c5ca8c5eSHA-256: 7b8490716805a6e2702713023854c871e4c61f98093dcb710c0b1e86452591e4
 
x86_64:
chromium-browser-51.0.2704.63-1.el6.x86_64.rpm
    MD5: 22d276b9b15a8080f9d2d0b45b0cfaf9SHA-256: 694138bdebf8dff7cda5cd8cd1fdd3cf710510bf8c9248dbba37b0cd5a064c60
chromium-browser-debuginfo-51.0.2704.63-1.el6.x86_64.rpm
    MD5: ad933f8607be8b4b9b58961d2d5246bbSHA-256: cf962b4607d655b68f806bddfd9d04031a01bc2324708eac2c6b9c41aec8eebb
 
Red Hat Enterprise Linux Server Supplementary (v. 6)

IA-32:
chromium-browser-51.0.2704.63-1.el6.i686.rpm
    MD5: 6c0fb527654b39357da188d5b9a2ca86SHA-256: ed4c4191b10d40bd40f1a59ca2829e366b22b843fe3ac5ccdae35492796715e2
chromium-browser-debuginfo-51.0.2704.63-1.el6.i686.rpm
    MD5: 6d49699c4e4e719086dff9e4c5ca8c5eSHA-256: 7b8490716805a6e2702713023854c871e4c61f98093dcb710c0b1e86452591e4
 
x86_64:
chromium-browser-51.0.2704.63-1.el6.x86_64.rpm
    MD5: 22d276b9b15a8080f9d2d0b45b0cfaf9SHA-256: 694138bdebf8dff7cda5cd8cd1fdd3cf710510bf8c9248dbba37b0cd5a064c60
chromium-browser-debuginfo-51.0.2704.63-1.el6.x86_64.rpm
    MD5: ad933f8607be8b4b9b58961d2d5246bbSHA-256: cf962b4607d655b68f806bddfd9d04031a01bc2324708eac2c6b9c41aec8eebb
 
Red Hat Enterprise Linux Workstation Supplementary (v. 6)

IA-32:
chromium-browser-51.0.2704.63-1.el6.i686.rpm
    MD5: 6c0fb527654b39357da188d5b9a2ca86SHA-256: ed4c4191b10d40bd40f1a59ca2829e366b22b843fe3ac5ccdae35492796715e2
chromium-browser-debuginfo-51.0.2704.63-1.el6.i686.rpm
    MD5: 6d49699c4e4e719086dff9e4c5ca8c5eSHA-256: 7b8490716805a6e2702713023854c871e4c61f98093dcb710c0b1e86452591e4
 
x86_64:
chromium-browser-51.0.2704.63-1.el6.x86_64.rpm
    MD5: 22d276b9b15a8080f9d2d0b45b0cfaf9SHA-256: 694138bdebf8dff7cda5cd8cd1fdd3cf710510bf8c9248dbba37b0cd5a064c60
chromium-browser-debuginfo-51.0.2704.63-1.el6.x86_64.rpm
    MD5: ad933f8607be8b4b9b58961d2d5246bbSHA-256: cf962b4607d655b68f806bddfd9d04031a01bc2324708eac2c6b9c41aec8eebb
 
(The unlinked packages above are only available from the Red Hat Network)

1340005 – CVE-2016-1672 chromium-browser: cross-origin bypass in extension bindings1340006 – CVE-2016-1673 chromium-browser: cross-origin bypass in blink1340007 – CVE-2016-1674 chromium-browser: cross-origin bypass in extensions1340008 – CVE-2016-1675 chromium-browser: cross-origin bypass in blink1340009 – CVE-2016-1676 chromium-browser: cross-origin bypass in extension bindings1340010 – CVE-2016-1677 chromium-browser: type confusion in v81340011 – CVE-2016-1678 chromium-browser: heap overflow in v81340012 – CVE-2016-1679 chromium-browser: heap use-after-free in v8 bindings1340013 – CVE-2016-1680 chromium-browser: heap use-after-free in skia1340014 – CVE-2016-1681 chromium-browser: heap overflow in pdfium1340015 – CVE-2016-1682 chromium-browser: csp bypass for serviceworker1340016 – CVE-2016-1683 chromium-browser: out-of-bounds access in libxslt1340017 – CVE-2016-1684 chromium-browser: integer overflow in libxslt1340018 – CVE-2016-1685 chromium-browser: out-of-bounds read in pdfium1340019 – CVE-2016-1686 chromium-browser: out-of-bounds read in pdfium1340021 – CVE-2016-1687 chromium-browser: information leak in extensions1340022 – CVE-2016-1688 chromium-browser: out-of-bounds read in v81340023 – CVE-2016-1689 chromium-browser: heap buffer overflow in media1340024 – CVE-2016-1690 chromium-browser: heap use-after-free in autofill1340026 – CVE-2016-1691 chromium-browser: heap buffer-overflow in skia1340027 – CVE-2016-1692 chromium-browser: limited cross-origin bypass in serviceworker1340028 – CVE-2016-1693 chromium-browser: http download of software removal tool1340029 – CVE-2016-1694 chromium-browser: hpkp pins removed on cache clearance1340030 – CVE-2016-1695 chromium-browser: various fixes from internal audits

These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from: